import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { GridFilterApi } from '../GridFilterApi';
import { GridFilterInternalApi } from '../Internal/GridFilterInternalApi';
import { ApiBase } from './ApiBase';
import { GridFilter } from '../../types';
export declare class GridFilterApiImpl extends ApiBase implements GridFilterApi {
    internalApi: GridFilterInternalApi;
    constructor(_adaptable: IAdaptable);
    getCurrentGridFilter(): GridFilter | undefined;
    getCurrentGridFilterExpression(): string | undefined;
    setGridFilterExpression(filter: string): void;
    clearGridFilter(): void;
    openUIEditorForGridFilter(expression?: string): void;
    suspendGridFilter(): void;
    unSuspendGridFilter(): void;
}
